-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- 22/12/2008 MODIFICA PER GESTIONE RISTAMPE
-- =============================================
CREATE procedure [C6Mart].[GESTIONE_UPDATE_FTP]
	@Id INT,
	@TipoReport varchar(2),
	@IdZip INT
AS
BEGIN
	IF @TipoReport <> 'LR' -- INVIO NORMALE
	BEGIN	
		UPDATE C6Mart.GESTIONE_PDF_FTP
		SET
			DataInvio = GetDate(),
			FlagInvio = 'S',
			Id_fk_Zip = @IdZip
		WHERE
			IdReport = @Id
	END 
	ELSE -- INVIO DI UNA RISTAMPA. TENGO TRACCIA SOLO DELL'ULTIMA DATA DI RISTAMPA
	BEGIN
		UPDATE C6Mart.GESTIONE_PDF_FTP
		SET
			DataInvioRistampa = GetDate(),
			FlagInvio = 'S',
			Id_fk_Zip = @IdZip
		WHERE
			IdReport = @Id
	END 
END